# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'c:\workspace\QT_designer\lidar_gui\qt_lidar_gui.ui'
#
# Created by: PyQt5 UI code generator 5.15.9
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(592, 401)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.widget = QtWidgets.QWidget(self.centralwidget)
        self.widget.setGeometry(QtCore.QRect(50, 70, 233, 25))
        self.widget.setObjectName("widget")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.widget)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.com_list = QtWidgets.QComboBox(self.widget)
        self.com_list.setObjectName("com_list")
        self.horizontalLayout.addWidget(self.com_list)
        self.OPEN_serial_b = QtWidgets.QPushButton(self.widget)
        self.OPEN_serial_b.setObjectName("OPEN_serial_b")
        self.horizontalLayout.addWidget(self.OPEN_serial_b)
        self.CLOSE_serial_b = QtWidgets.QPushButton(self.widget)
        self.CLOSE_serial_b.setObjectName("CLOSE_serial_b")
        self.horizontalLayout.addWidget(self.CLOSE_serial_b)
        self.widget1 = QtWidgets.QWidget(self.centralwidget)
        self.widget1.setGeometry(QtCore.QRect(50, 120, 216, 25))
        self.widget1.setObjectName("widget1")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.widget1)
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.lineEdit = QtWidgets.QLineEdit(self.widget1)
        self.lineEdit.setObjectName("lineEdit")
        self.horizontalLayout_2.addWidget(self.lineEdit)
        self.pushButton = QtWidgets.QPushButton(self.widget1)
        self.pushButton.setObjectName("pushButton")
        self.horizontalLayout_2.addWidget(self.pushButton)
        self.widget2 = QtWidgets.QWidget(self.centralwidget)
        self.widget2.setGeometry(QtCore.QRect(350, 100, 112, 188))
        self.widget2.setObjectName("widget2")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.widget2)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.enc_pos_dial = QtWidgets.QDial(self.widget2)
        self.enc_pos_dial.setEnabled(True)
        palette = QtGui.QPalette()
        brush = QtGui.QBrush(QtGui.QColor(0, 85, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 85, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 85, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Button, brush)
        self.enc_pos_dial.setPalette(palette)
        self.enc_pos_dial.setMaximum(360)
        self.enc_pos_dial.setOrientation(QtCore.Qt.Horizontal)
        self.enc_pos_dial.setInvertedControls(False)
        self.enc_pos_dial.setObjectName("enc_pos_dial")
        self.verticalLayout.addWidget(self.enc_pos_dial)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.label_2 = QtWidgets.QLabel(self.widget2)
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label_2.setFont(font)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_4.addWidget(self.label_2)
        self.enc_deg_lcd = QtWidgets.QLCDNumber(self.widget2)
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_deg_lcd.setFont(font)
        self.enc_deg_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_deg_lcd.setAutoFillBackground(False)
        self.enc_deg_lcd.setDigitCount(3)
        self.enc_deg_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_deg_lcd.setObjectName("enc_deg_lcd")
        self.horizontalLayout_4.addWidget(self.enc_deg_lcd)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label = QtWidgets.QLabel(self.widget2)
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label.setFont(font)
        self.label.setObjectName("label")
        self.horizontalLayout_3.addWidget(self.label)
        self.enc_rpm_lcd = QtWidgets.QLCDNumber(self.widget2)
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_rpm_lcd.setFont(font)
        self.enc_rpm_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_rpm_lcd.setAutoFillBackground(False)
        self.enc_rpm_lcd.setDigitCount(3)
        self.enc_rpm_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_rpm_lcd.setObjectName("enc_rpm_lcd")
        self.horizontalLayout_3.addWidget(self.enc_rpm_lcd)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.widget3 = QtWidgets.QWidget(self.centralwidget)
        self.widget3.setGeometry(QtCore.QRect(52, 182, 140, 129))
        self.widget3.setObjectName("widget3")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.widget3)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.enc_speed_set_slider = QtWidgets.QSlider(self.widget3)
        self.enc_speed_set_slider.setOrientation(QtCore.Qt.Vertical)
        self.enc_speed_set_slider.setObjectName("enc_speed_set_slider")
        self.verticalLayout_2.addWidget(self.enc_speed_set_slider)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.label_3 = QtWidgets.QLabel(self.widget3)
        font = QtGui.QFont()
        font.setPointSize(22)
        self.label_3.setFont(font)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_5.addWidget(self.label_3)
        self.enc_speed_lcd = QtWidgets.QLCDNumber(self.widget3)
        font = QtGui.QFont()
        font.setPointSize(14)
        self.enc_speed_lcd.setFont(font)
        self.enc_speed_lcd.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.enc_speed_lcd.setAutoFillBackground(False)
        self.enc_speed_lcd.setDigitCount(3)
        self.enc_speed_lcd.setSegmentStyle(QtWidgets.QLCDNumber.Flat)
        self.enc_speed_lcd.setObjectName("enc_speed_lcd")
        self.horizontalLayout_5.addWidget(self.enc_speed_lcd)
        self.verticalLayout_2.addLayout(self.horizontalLayout_5)
        MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.OPEN_serial_b.setText(_translate("MainWindow", "OPEN"))
        self.CLOSE_serial_b.setText(_translate("MainWindow", "CLOSE"))
        self.pushButton.setText(_translate("MainWindow", "SEND"))
        self.label_2.setText(_translate("MainWindow", "DEG"))
        self.label.setText(_translate("MainWindow", "RPM"))
        self.label_3.setText(_translate("MainWindow", "SPEED"))
